Page MenuHomePhabricator

Step 1: give users a path to add/edit references on Wikidata (impact: high)
Closed, ResolvedPublic5 Estimated Story Points

Description

As an editor I want to be able to add and edit references in order to provide correct provenance for my data.

Problem:
Editing references in the Bridge directly is difficult in the first step because it requires editing of datatypes we don't support yet - especially Item links. We however still need to provide people with a way to add and edit references. We solve this in Step 1 by giving them a way to go to Wikidata to do it there.

Screenshots/mockups:


for when the sentence spans multiple lines



Figma link

BDD
GIVEN an existing statement
WHEN saving an edit in the Bridge
THEN a new screen is opened after saving
AND the user is informed about the option to edit the reference on the repository

Acceptance criteria:

  • text is shown near the references that informs the user about the ability to edit/add references later
    • text is shown regardless of how many references exist and the text doesn't change depending on the number of references
  • After successfully saving the edit on the repository a new screen is shown thanking the editor and offering to open the corresponding Item to edit/add a reference
  • when clicking the button to edit on the repository the client page is reloaded and the Item on the repository (at the relevant property anchor) opens in new tab according to browser link opening behavior
  • when clicking the X in the thank you screen the client page reloads (reload implemented in T235208 - there it got connected to the SAVED(!) event)
  • the thank you screen does not have a publish button

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptDec 10 2019, 11:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher renamed this task from Step 1: give users a path to add/edit references on Wikidata to Step 1: give users a path to add/edit references on Wikidata (impact: high).Dec 10 2019, 11:36 AM
Lydia_Pintscher triaged this task as High priority.
Lydia_Pintscher moved this task from Backlog to Needs work on the Wikidata-Bridge board.
Addshore moved this task from incoming to in progress on the Wikidata board.Dec 11 2019, 11:46 AM
Charlie_WMDE updated the task description. (Show Details)Jan 10 2020, 1:46 PM

@Lydia_Pintscher please have a look if this is ready for story writing

Jep :)

One thing: I believe the icon you used is usually reserved to indicate links taking you outside Wikimedia properties. It feels iffy to use it here.

Jep :)

One thing: I believe the icon you used is usually reserved to indicate links taking you outside Wikimedia properties. It feels iffy to use it here.

@Lydia_Pintscher hm, i don't know. the icon is called "new window" (which is what i'm trying to indicate by using it) and i can not find any documentation on it's intended purpose anywhere. @Volker_E do you know if there is a source for this?

I'm wasn't able to find the associate Figma mock, but what happens if "References"-heading and the new link are too long to fit on the same line? This bound to happen in some languages, surely in German.

@Michael thanks for bringing this up! You'Re right, this could potentially cause problems. I didn't want to waste too much time on this since this is just a placeholder during step 1 and for step two we'd be getting rid of the path anyway so I opted to put it in the same place as adding references initially.

I went ahead and updated the mocks. You can now find the new version in the ticket.

Charlie_WMDE updated the task description. (Show Details)Jan 17 2020, 2:39 PM
Lydia_Pintscher removed Charlie_WMDE as the assignee of this task.Jan 23 2020, 10:07 AM
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher added a subscriber: Charlie_WMDE.

Comment from story writing: we decided to handle the awkward user interaction around editing the value and then the reference in a different place this way:

  • We show a screen similar to the bailout path screen that asks the user to reload by clicking a button/link.
  • We only reload the content of the Bridge modal.
  • We show the screen upon opening the reference link.

It's needed because otherwise the user will almost certainly run into edit conflicts upon trying to save their new value in the Bridge.

We will handle this in a separate ticket.

Charlie_WMDE moved this task from Needs work to Ready for story writing on the Wikidata-Bridge board.
Pablo-WMDE updated the task description. (Show Details)Mar 10 2020, 4:25 PM
darthmon_wmde set the point value for this task to 5.Mar 10 2020, 4:29 PM
darthmon_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Bridge board.
Charlie_WMDE removed Charlie_WMDE as the assignee of this task.Mar 18 2020, 10:42 AM
Charlie_WMDE updated the task description. (Show Details)Mar 19 2020, 5:21 PM
Charlie_WMDE updated the task description. (Show Details)Mar 19 2020, 5:37 PM
darthmon_wmde moved this task from Doing to To do on the Wikidata-Bridge-Sprint-16 board.
Charlie_WMDE closed this task as Resolved.Apr 1 2020, 2:22 PM
Charlie_WMDE claimed this task.
Charlie_WMDE moved this task from Verification to Done on the Wikidata-Bridge-Sprint-17 board.

looks good to me